Strange OSM Plugin Error removing layer

2010-06-21 10:45 AM - aperi2007 -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12888

Description

After installing the [[OpenStreetMap]] plugin I'm having this error every where open and close shapefiles.

I think it is due even to settings "Reproject On The Fly" and EPSG:3003 (not wgs84).

----

Errore durante l'esecuzione di codice Python:

(Error executing python code)

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 130, in layerRemoved

    if layer.type() != [[QgsMapLayer]].VectorLayer or layer.dataProvider().name()"osm":

[[AttributeError]]: 'NoneType' object has no attribute 'VectorLayer'

Versione Python:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Versione di QGIS:

1.5.0-Tethys Tethys, 13750

Percorso Python: ['C:/OSGeo4W/apps/qgis-dev/./python', 'C:\\\\Users\\\\peri/.qgis/python', 'C:\\\\Users\\\\peri/.qgis/python/plugins',

'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\gdal-16\\\\pymod', 'C:\\\\',

'C:\\\\OSGeo4W\\\\bin\\\\python25.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\plat-win', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\lib-tk',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python25',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', u'C:/Users/peri/.qgis//python/plugins',

'C:\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2010-09-19 07:32 AM - Paolo Cavallini

Still true?

#2 - 2010-09-19 10:22 AM - aperi2007 -

- Resolution set to fixed
- Status changed from Open to Closed

No,

I tested just now .

It's all ok.
